binutils: enable plugin support
authorFelix Fietkau <nbd@openwrt.org>
Sat, 27 Dec 2014 12:59:53 +0000 (12:59 +0000)
committerFelix Fietkau <nbd@openwrt.org>
Sat, 27 Dec 2014 12:59:53 +0000 (12:59 +0000)
--enable-plugin is necessary for gcc-ar, gcc-nm and gcc-ranlib to work, which
must be used with GCC 4.9 for LTO to work.

Without this option, gcc-ar etc. will just fail with

    sorry - this program has been built without plugin support

Using the normal ar from binutils with GCC 4.9 and -flto will cause linking
with static "convenience" libraries to fail.

Signed-off-by: Matthias Schiffer <mschiffer@universe-factory.net>
SVN-Revision: 43783

toolchain/binutils/Makefile

index 820b5f8..8e661b9 100644 (file)
@@ -41,6 +41,7 @@ BINUTILS_CONFIGURE:= \
                --host=$(GNU_HOST_NAME) \
                --target=$(REAL_GNU_TARGET_NAME) \
                --with-sysroot=$(TOOLCHAIN_DIR) \
+               --enable-plugins \
                --disable-multilib \
                --disable-werror \
                --disable-nls \